## OS Generated

.DS_Store
.DS_Store?
._*
.Spotlight-V100
.Trashes
ehthumbs.db
Thumbs.db
Desktop.ini

## Eclipse IDE

.project
.classpath
.settings/
.metadata
.pmd
bin/
*.tmp
*.bak
*.swp
local.properties
.externalToolBuilders/
*.launch

# Intellij Idea

.idea
*.iml

# Maven

target/

# Default by github for Java projects

*.class

# Mobile Tools for Java (J2ME)
.mtj.tmp/

# Package Files #
*.jar
*.war
*.ear

# virtual machine crash logs, see http://www.java.com/en/download/help/error_hotspot.xml
hs_err_pid*

# Maven versionsBackup

*.versionsBackup

# for gradle-based project management and testng

/.gradle/
/bin/
/build/
/test-output/

